コンテンツにスキップ

MediaWiki:Citizen.css

提供: ロブ鉄メロディーデータベース

注意: 保存後、変更を確認するにはブラウザーのキャッシュを消去する必要がある場合があります。

  • Firefox / Safari: Shift を押しながら 再読み込み をクリックするか、Ctrl-F5 または Ctrl-R を押してください (Mac では ⌘-R)
  • Google Chrome: Ctrl-Shift-R を押してください (Mac では ⌘-Shift-R)
  • Microsoft Edge: Ctrl を押しながら 最新の情報に更新 をクリックするか、Ctrl-F5 を押してください。
/**/* ここに記述したCSSは、Citizen外装の利用者に読み込まれます */

:root {
    /* プライマリ */
    --color-primary: #00a859;
    --color-primary--hover: #008f4b;
    --color-primary--active: #00763d;
    
    --color-link: #00994d;
    --color-link--hover: #007a3d;
    --color-link--visited: #006633;

    --color-accent: #00c864;
    --color-brand: #00a859;
    --border-color-interactive--focus: #00a859;

    --background-color-base: #f0f7f3;
    /* 背景 */
    --background-color-surface: #ffffff;
    --background-color-page-container: #f0f7f3;

    --color-surface-1: #ffffff;
    --color-surface-2: #e4f2ea;
}

body {
    background-color: #f0f7f3 !important;
    background-image: linear-gradient(180deg, #e2f0e8 0%, #f0f7f3 300px) !important;
    background-attachment: fixed !important;
}

html.skin-theme-clientpref-night {
    --color-primary: #00dc72;
    --color-primary--hover: #26e287;
    --color-primary--active: #00b35c;
    
    --color-link: #33e085;
    --color-link--hover: #66e89f;
    --color-link--visited: #28b86d;
    
    --color-accent: #00dc72;
    --color-brand: #00dc72;

    --background-color-base: #0f1713;
    --background-color-surface: #16221c;
    --background-color-page-container: #0f1713;

    --color-surface-1: #16221c;
    --color-surface-2: #1e2e26;
}

html.skin-theme-clientpref-night body {
    background-color: #0f1713 !important;
    background-image: linear-gradient(180deg, #14241b 0%, #0f1713 300px) !important;
}

@media (prefers-color-scheme: dark) {
    html.skin-theme-clientpref-os {
        --color-primary: #00dc72;
        --color-primary--hover: #26e287;
        --color-primary--active: #00b35c;
        
        --color-link: #33e085;
        --color-link--hover: #66e89f;
        --color-link--visited: #28b86d;
        
        --color-accent: #00dc72;
        --color-brand: #00dc72;

        --background-color-base: #0f1713;
        --background-color-surface: #16221c;
        --background-color-page-container: #0f1713;

        --color-surface-1: #16221c;
        --color-surface-2: #1e2e26;
    }

    html.skin-theme-clientpref-os body {
        background-color: #0f1713 !important;
        background-image: linear-gradient(180deg, #14241b 0%, #0f1713 300px) !important;
    }
}